## mx4j.tools.stats
Class TimedStatisticsRecorderMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.stats.StatisticsRecorderMBeanDescription
              mx4j.tools.stats.ObserverStatisticsRecorderMBeanDescription
                  mx4j.tools.stats.TimedStatisticsRecorderMBeanDescription

All Implemented Interfaces:
  MBeanDescription

public class TimedStatisticsRecorderMBeanDescription
extends ObserverStatisticsRecorderMBeanDescription

Management interface description for TimedStatisticsRecorder MBeans.

Version:
  $Revision: 1.3 $

Constructor Summary
`TimedStatisticsRecorderMBeanDescription()`

Method Summary
`java.lang.String` `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.

Methods inherited from class mx4j.tools.stats.StatisticsRecorderMBeanDescription
`getOperationDescription`

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorDescription, getConstructorParameterDescription, getConstructorParameterName, getMBeanDescription, getOperationParameterDescription, getOperationParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimedStatisticsRecorderMBeanDescription

    public TimedStatisticsRecorderMBeanDescription()

Method Detail

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `ObserverStatisticsRecorderMBeanDescription`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.